
# histogram1.py
# Histogram of data
# by Joel R. Voss
# June 21, 2005

from sys import argv

def binaryHistogram(data):
	d = []
	for i in range(256):
		d.append(0)
	#next i
	
	for c in data:
		e = ord(c)
		d[e] += 1
	#next c
	
	return d
#end def binaryHistogram(data)

def unicodeHistogram(data):
	d = {}
	
	for c in data:
		e = ord(c)
		if e in d.keys():
			d[e] += 1
		else:
			d[e] = 1
		#end if
	#next c
	
	return d
#end def unicodeHistogram(data)

def main():
	if len(argv) >= 2:
		filename = argv[1]
	else:
		print "Usage: python histogram1.py filename.bin"
		return
	#end if
	print "# R0xx0ring", filename

	a = open(filename, 'rb')
	b = a.read()
	a.close()
	
	h = binaryHistogram(b)
	
	i = 0
	for f in h:
		print i, f
		i += 1
	#next f
	
#end def main()

if __name__ == '__main__':
	main()
#end if
